Package pyplusplus :: Package decl_wrappers :: Module class_wrapper :: Class class_declaration_t

# type class_declaration_t

source code

                                                     object --+
                                                              |
                                         class_common_details_t --+
                                                                  |
                                                     object --+   |
                                                              |   |
                                    decl_wrapper.decl_wrapper_t --+
                                                                  |
                                                 object --+       |
                                                          |       |
            pygccxml.declarations.declaration.declaration_t --+   |
                                                              |   |
    pygccxml.declarations.class_declaration.class_declaration_t --+
                                                                  |
                                                                 class_declaration_t

Instance Methods

__init__(self, *arguments, **keywords) creates class that describes C++ class declaration( and not definition ) | source code

Inherited from `class_common_details_t`: `guess_always_expose_using_scope_value`

Inherited from `decl_wrapper.decl_wrapper_t`: `disable_messages`, `disable_warnings`, `exclude`, `get_already_exposed`, `get_exportable`, `include`, `readme`, `rename`, `set_already_exposed`, `set_exportable`, `why_not_exportable`

Inherited from `pygccxml.declarations.class_declaration.class_declaration_t`: `i_depend_on_them`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Class Variables
Inherited from `decl_wrapper.decl_wrapper_t`: `SPECIAL_TYPEDEF_PICK_ANY`

Properties

Inherited from `class_common_details_t`: `always_expose_using_scope`, `class_var_name`, `equality_comparable`, `indexing_suite`, `indexing_suite_version`, `less_than_comparable`, `opaque`

Inherited from `decl_wrapper.decl_wrapper_t`: `alias`, `already_exposed`, `disabled_messages`, `documentation`, `exportable`, `ignore`, `include_files`, `logger`

Inherited from `pygccxml.declarations.class_declaration.class_declaration_t`: `aliases`, `container_traits`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *arguments, **keywords)
(Constructor)

source code

creates class that describes C++ class declaration( and not definition )

Overrides: pygccxml.declarations.declaration.declaration_t.__init__